Skip to main content
POST
/
orgs
/
{organization}
/
servers
Create server
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'provider' => '<string>',
    'credential_id' => 123,
    'team_id' => 123,
    'recipe_id' => 123,
    'tags' => [
        '<string>'
    ],
    'aws' => [
        'region_id' => '<string>',
        'size_id' => '<string>',
        'vpc_uuid' => '<string>',
        'subnet_uuid' => '<string>',
        'disk_size' => 1010
    ],
    'ocean2' => [
        'region_id' => '<string>',
        'size_id' => '<string>',
        'vpc_uuid' => '<string>',
        'enable_weekly_backups' => true
    ],
    'hetzner' => [
        'region_id' => '<string>',
        'size_id' => '<string>',
        'network_id' => 123,
        'enable_daily_backups' => true,
        'enable_weekly_backups' => false
    ],
    'vultr' => [
        'region_id' => '<string>',
        'size_id' => '<string>',
        'network_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
    ],
    'akamai' => [
        'region_id' => '<string>',
        'size_id' => '<string>'
    ],
    'laravel' => [
        'region_id' => '<string>',
        'size_id' => '<string>',
        'vpc_uuid' => '<string>'
    ],
    'custom' => [
        'ip_address' => '<string>',
        'private_ip_address' => '<string>',
        'ssh_port' => 123,
        'behind_nat' => true,
        'nat_ssh_port' => 123
    ],
    'add_key_to_source_control' => true,
    'database' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "id": "<string>",
    "type": "servers",
    "links": {
      "self": {
        "href": "<string>",
        "rel": "<string>",
        "describedby": "<string>",
        "title": "<string>",
        "type": "<string>",
        "hreflang": "<string>",
        "meta": {}
      }
    },
    "attributes": {
      "id": 123,
      "credential_id": 123,
      "name": "<string>",
      "slug": "<string>",
      "ubuntu_version": "<string>",
      "ssh_port": 123,
      "provider": "<string>",
      "identifier": "<string>",
      "size": "<string>",
      "region": "<string>",
      "php_version": "<string>",
      "php_cli_version": "<string>",
      "opcache_status": "<string>",
      "database_type": "<string>",
      "db_status": "<string>",
      "redis_status": "<string>",
      "ip_address": "<string>",
      "private_ip_address": "<string>",
      "revoked": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "connection_status": "<string>",
      "timezone": "<string>",
      "local_public_key": "<string>",
      "is_ready": true
    },
    "relationships": {
      "tags": {
        "data": [
          {
            "type": "tags",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "tags",
      "attributes": {
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

Body

application/json
name
string
required
Maximum string length: 30
provider
string
required
type
enum<string>
required
Available options:
app,
web,
loadbalancer,
database,
cache,
worker,
meilisearch,
openclaw
ubuntu_version
enum<string>
required
Available options:
22.04,
24.04
credential_id
integer
team_id
integer | null
php_version
enum<string>
Available options:
php5,
php56-old,
php56,
php70,
php71,
php72,
php73,
php74,
php80,
php81,
php82,
php83,
php84,
php85
database_type
enum<string>
Available options:
mysql,
mysql8,
mysql84,
mysql9,
mariadb,
mariadb106,
mariadb1011,
mariadb114,
postgres,
postgres13,
postgres14,
postgres15,
postgres16,
postgres17,
postgres18
recipe_id
integer | null
tags
string[] | null
aws
object
ocean2
object
hetzner
object
vultr
object
akamai
object
laravel
object
custom
object
add_key_to_source_control
boolean
default:true
database
string

Response

ServerResource

data
ServerResource · object
required
included
TagResource · object[]